Index: trunk/config/G4UI_USE.gmk
===================================================================
--- trunk/config/G4UI_USE.gmk	(revision 805)
+++ trunk/config/G4UI_USE.gmk	(revision 850)
@@ -1,3 +1,3 @@
-# $Id: G4UI_USE.gmk,v 1.10 2008/04/30 10:40:12 lgarnier Exp $
+# $Id: G4UI_USE.gmk,v 1.12 2008/05/14 09:48:19 gbarrand Exp $
 # -------------------------------------------------------------
 # GNUmakefile for CPPFLAGS for interfaces USE phase.
@@ -81,4 +81,25 @@
 endif
 
+ifdef G4UI_USE_OSC
+  CPPFLAGS += -DG4UI_USE_OSC
+  ifneq (,$(findstring WIN32-VC,$(G4SYSTEM)))
+    # need a syntax that both g++ and CL.exe understand :
+    G4OSC_TMP_1 := $(shell echo "`osc-config --g4lab_incs`")
+    CPPFLAGS += $(patsubst /I%,-I"%",$(G4OSC_TMP_1))
+  else
+    CPPFLAGS += `osc-config --g4lab_incs`
+  endif
+  INTYLIBS += `osc-config --g4lab_libs`
+  INTYLIBS += `osc-config --iv_libs`
+  #    
+  ifndef G4ANALYSIS_AIDA_CONFIG_CFLAGS
+    ifneq (,$(findstring WIN32-VC,$(G4SYSTEM)))
+      # need a syntax that both g++ and CL.exe understand :
+      G4OSC_TMP_2 := $(shell echo "`aida-config --include`")
+      G4ANALYSIS_AIDA_CONFIG_CFLAGS := $(patsubst /I%,-I"%",$(G4OSC_TMP_2))
+    endif
+  endif
+endif
+
 ########################### interfaces/XVT - not currently implemented #####
 
Index: trunk/config/History
===================================================================
--- trunk/config/History	(revision 805)
+++ trunk/config/History	(revision 850)
@@ -1,3 +1,3 @@
-$Id: History,v 1.320 2008/04/30 10:40:12 lgarnier Exp $
+$Id: History,v 1.325 2008/07/11 15:42:35 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -17,9 +17,33 @@
      ----------------------------------------------------------
 
+11th July 2008  Gabriele Cosmo (config-V09-01-07)
+- architecture.gmk: removed obsoled DOM library from GDMLIBS.
+
+12th June 2008  Gabriele Cosmo (config-V09-01-06)
+- Linux-g++.gmk: added G4OPTDEBUG flag for "-O2 -g" combined compilation.
+- AIX-xlC.gmk: added shared libs section as for Linux-g++ according to user
+  suggestion on HN.
+
+9th June 2008  Gabriele Cosmo (config-V09-01-05)
+- Integrated improvements to Qt setup and AIDA.
+  Restored Qt libs setup to include GL as default.
+
+20th May 2008  Gunter Folger  (config-V09-01-04)
+- liblist.c: removed C++ style comments.
+- Not including changes made after "config-V09-01-03 ".
+
+13th May 2008  Guy Barrand
+- G4UI_USE.gmk: added material (protected with G4UI_USE_OSC) to use osc_vis
+  binary kits built with the Geant4 drivers. It allows to use the G4Lab::UIOnX
+  G4 session in Geant4 (G4Lab::UIOnX allows for visualization and AIDA plotting
+  within the same GUI).
+- analysis.gmk: added default setup aida-config for flags
+  G4ANALYSIS_AIDA_CONFIG_CFLAGS and G4ANALYSIS_AIDA_CONFIG_LIBS.
+
 30th April 2008  Laurent Garnier
-- common.gmk : Better Qt moc files integration
-- moc.gmk : Add a file for Qt moc files configuration
-- G4UI_USE, G4VIS_USE, interactivity, sys/*: Separation of QT with OpenGL 
-  or without
+- common.gmk: simplified Qt moc files integration.
+- moc.gmk: new configuration file for Qt moc files setup.
+- G4UI_USE, G4VIS_USE, interactivity, sys/*: separation of Qt with or
+  without OpenGL.
 
 3rd April 2008  Gabriele Cosmo (config-V09-01-03)
Index: trunk/config/analysis.gmk
===================================================================
--- trunk/config/analysis.gmk	(revision 805)
+++ trunk/config/analysis.gmk	(revision 850)
@@ -8,4 +8,20 @@
 ifdef G4ANALYSIS_USE
   CPPFLAGS += -DG4ANALYSIS_USE
+  ifndef G4ANALYSIS_AIDA_CONFIG_CFLAGS
+    ifneq (,$(findstring WIN32-VC,$(G4SYSTEM)))
+      # The "aida-config --include" for VC may return information
+      # by using the Windows /I syntax which is not understood
+      # by "g++ -M" used by the Geant4 make system to get dependencies.
+      # Then we transform to use the -I syntax which is understood by 
+      # both g++ and CL.exe compilers :
+      G4ANALYSIS_TMP := $(shell echo "`aida-config --include`")
+      G4ANALYSIS_AIDA_CONFIG_CFLAGS := $(patsubst /I%,-I"%",$(G4ANALYSIS_TMP))
+    else
+      G4ANALYSIS_AIDA_CONFIG_CFLAGS := `aida-config --include`
+    endif
+  endif
+  ifndef G4ANALYSIS_AIDA_CONFIG_LIBS
+    G4ANALYSIS_AIDA_CONFIG_LIBS := `aida-config --lib`
+  endif
   CPPFLAGS += $(G4ANALYSIS_AIDA_CONFIG_CFLAGS)
   ANALYSISLIBS += $(G4ANALYSIS_AIDA_CONFIG_LIBS)
Index: trunk/config/architecture.gmk
===================================================================
--- trunk/config/architecture.gmk	(revision 805)
+++ trunk/config/architecture.gmk	(revision 850)
@@ -1,3 +1,3 @@
-# $Id: architecture.gmk,v 1.114 2007/12/11 13:20:29 gcosmo Exp $
+# $Id: architecture.gmk,v 1.115 2008/07/11 15:40:14 gcosmo Exp $
 # ------------------------------------------------------------------------
 #       GEANT 4 - Architecture configuration script for GNU Make
@@ -270,7 +270,7 @@
   ifndef GDMLLIBS
     ifneq (,$(findstring WIN32-VC,$(G4SYSTEM)))
-      GDMLLIBS := $(LIB_PATH)$(XERCESCROOT)/lib xerces-depdom_2.lib xerces-c_2.lib
+      GDMLLIBS := $(LIB_PATH)$(XERCESCROOT)/lib xerces-c_2.lib
     else
-      GDMLLIBS := -L$(XERCESCROOT)/lib -lxerces-depdom -lxerces-c
+      GDMLLIBS := -L$(XERCESCROOT)/lib -lxerces-c
     endif
   endif
Index: trunk/config/interactivity.gmk
===================================================================
--- trunk/config/interactivity.gmk	(revision 805)
+++ trunk/config/interactivity.gmk	(revision 850)
@@ -32,9 +32,6 @@
   INTYLIBS += $(QTLIBS)
 endif
-
-########################### Open GL Qt ###############################
-# Should be before X11.
 ifdef LOAD_GLQT
-  INTYLIBS += $(GLQTLIBS)
+  INTYLIBS += $(QTLIBS)
 endif
 
Index: trunk/config/liblist.c
===================================================================
--- trunk/config/liblist.c	(revision 805)
+++ trunk/config/liblist.c	(revision 850)
@@ -1,3 +1,3 @@
-/* $Id: liblist.c,v 1.20 2008/04/03 17:26:36 gunter Exp $ */
+/* $Id: liblist.c,v 1.21 2008/05/20 13:33:34 gunter Exp $ */
 
 /*
@@ -208,6 +208,7 @@
 	 exit(1);
       }
+	       /* discarded trailing \n, as gets() was doing */
       if ( buffer[strlen(buffer)-1] == '\n') 
-        {   buffer[strlen(buffer)-1]='\0'; }  // when gets() was used, this discarded trailing \n
+        {   buffer[strlen(buffer)-1]='\0'; }  
 
       ptr=strtok(buffer,":\n");
@@ -268,6 +269,7 @@
 	     exit(1);
 	  }
+	       /* discarded trailing \n, as gets() was doing */
           if ( buffer[strlen(buffer)-1] == '\n') 
-             {   buffer[strlen(buffer)-1]='\0'; }  // when gets() was used, this discarded trailing \n
+             {   buffer[strlen(buffer)-1]='\0'; }  
 
           ptr=strtok(buffer,"/");
Index: trunk/config/moc.gmk
===================================================================
--- trunk/config/moc.gmk	(revision 805)
+++ trunk/config/moc.gmk	(revision 850)
@@ -1,3 +1,3 @@
-# $Id: common.gmk,v 1.51 2008/04/04 10:35:20 gcosmo Exp $
+# $Id: moc.gmk,v 1.1 2008/05/05 12:48:07 lgarnier Exp $
 # ----------------------------------------------------------------
 # Common part of GNUmakefile for libraries.  John Allison, 5/7/95.
